Bug 438012 - Potential memory leak in cman
Potential memory leak in cman
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Christine Caulfield
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 13:38 EDT by Christine Caulfield
Modified: 2009-12-22 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 17:09:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2008-03-18 13:38:07 EDT
Description of problem:

If cman cannot send a reply or data message to a client, it allocates memory and
queues it up internally. When the client disconnects this memory is not freed.
Comment 1 Christine Caulfield 2008-03-18 13:40:13 EDT
The fix for this is in git master (cman3) and the STABLE2 branch. git master
also has additional code to limit the number of outstanding replies on a connection.
Comment 2 Christine Caulfield 2008-03-19 06:19:56 EDT
for reference. on STABLE2 branch:

This commit fixes the potential leak:
commit ae3311d1de243236751a1d8b1970ee413e24d305

This one limits the number of connections:
commit 84349029e264e982d6b962ee81b13a9f13419115
Comment 3 Christine Caulfield 2008-04-29 10:27:45 EDT
Committed to RHEL5

commit b0b6f8fef397d7ec0099fa07475aaad5b2c81bac
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Wed Mar 19 10:08:51 2008 +0000

    [CMAN] Limit outstanding replies

commit f5fee58ee9dcdbc602e0dca002a0b1520f3b866e
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Tue Mar 18 15:56:45 2008 +0000

    [CMAN] Free up any queued messages when someone disconnects
Comment 4 Lon Hohberger 2009-12-22 17:09:51 EST
This was definitely fixed in 5.4.  I did not check earlier releases.

Note You need to log in before you can comment on or make changes to this bug.